import re
from datacloud.dev_utils.time.patterns import RE_DAILY_LOG_FORMAT


def date_format_filter(item):
    return re.match(RE_DAILY_LOG_FORMAT, item)


def check_input(storage, folder):
    return [item for item in storage.list(folder) \
            if check_new_input(item)]


def check_new_input(storage, folder):
    # TODO: Need some way to distingwish old tasks from new,
    # need to use some log table
    return NotImplementedError
